package pp;

public class Sensor extends Thread {

    // eigentlich abstract

    private final long frequency;

    public Sensor(long frequency) {
        this.frequency = frequency;
    }

    /**
     * @return the frequency
     */
    public long getFrequency() {
        return this.frequency;
    }

    protected String reading() {
        // eigentlich abstract
        return null;
    }

    @Override
    public void run() {
        while (true) {
            System.out.println("reading: " + reading());
            try {
                Thread.sleep(this.frequency);
            } catch (InterruptedException e) {
                Thread.currentThread().interrupt();
            }
        }
    }

    public static void main(String... args) {
        var s = new Sensor(1000);
        s.start();
    }
}
