package pp;

import java.util.concurrent.atomic.AtomicInteger;

class AtomicCounter4 implements ICounter {
    private final AtomicInteger c;

    public AtomicCounter4(int init) {
        this.c = new AtomicInteger(init);
    }

    @Override
    public void inc() {
        this.c.updateAndGet(i -> i + 1);
    }

    @Override
    public void dec() {
        this.c.updateAndGet(i -> i - 1);
    }

    @Override
    public int get() {
        return this.c.get();
    }
}
