package pp;

class SynchronizedCounter implements ICounter {
    private int c;

    public SynchronizedCounter(int init) {
        this.c = init;
    }

    @Override
    public synchronized void inc() {
        this.c++;
    }

    @Override
    public synchronized void dec() {
        this.c--;
    }

    @Override
    public synchronized int get() {
        return this.c;
    }
}
