package pp;

import java.util.Random;
import java.util.concurrent.ThreadLocalRandom;

public class MyThreadLocalRandom4 implements Runnable {

    public Random rand = ThreadLocalRandom.current();

    @Override
    public void run() {
        var strBuf = new StringBuffer();
        strBuf.append(Thread.currentThread().getName() + ": ");
        for (var j = 0; j < 20; j++) {
            synchronized (MyThreadLocalRandom4.class) {
                strBuf.append(String.format("%02d ", this.rand.nextInt(100)));
            }
        }
        System.out.println(strBuf);
    }

    public static void main(String... args) throws InterruptedException {
        var runner = new MyThreadLocalRandom4();
        for (var i = 0; i < 10; i++) {
            new Thread(runner, String.format("Runner-%02d", i)).start();
        }
    }
}
