package pp;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class CachedRunner {

    public static ExecutorService test(Runnable task, int tries) {
        var pool = Executors.newCachedThreadPool();
        for (var i = 1; i <= tries; i++) {
            pool.execute(task);
        }
        return pool;
    }

}
