package pp;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class FixedRunner {
    private final static int SIZE = 6;

    public static ExecutorService test(Runnable task, int tries) {
        var pool = Executors.newFixedThreadPool(SIZE);
        for (var i = 1; i <= tries; i++) {
            pool.execute(task);
        }
        return pool;
    }

}
