package pp;

import java.util.concurrent.atomic.AtomicInteger;

class AtomicCounter2 implements ICounter {
    private final AtomicInteger c;

    public AtomicCounter2(int init) {
        this.c = new AtomicInteger(init);
    }

    @Override
    public void inc() {
        this.c.incrementAndGet();
    }

    @Override
    public void dec() {
        this.c.decrementAndGet();
    }

    @Override
    public int get() {
        return this.c.get();
    }
}
